List CRRs
curl --request GET \
--url https://api-sandbox.synctera.com/v0/crr \
--header 'Authorization: Bearer <token>'import requests
url = "https://api-sandbox.synctera.com/v0/crr"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api-sandbox.synctera.com/v0/crr', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"risk_scores": [
{
"id": "7503cd8a-903b-4fee-aa54-da3dc71f4124",
"risk_score": 37,
"tenant": "abcdef_ghijkl",
"business_id": "06a644f6-2623-4dd2-b2cd-da8a8667515e",
"calculated_score": 47,
"calculations_breakdown": [
{
"parameter_score": 46.42,
"parameter_weight": 25,
"auto_high_risk_triggered": true,
"condition": {
"weight": 75,
"lower": 0,
"upper": 150000,
"value": "<string>"
},
"overridden_score": 123,
"parameter_label": "Customer Country"
}
],
"creator_id": "53869fb3-c58e-4a49-badb-7b273a7bdd34",
"customer_id": "272878fe-355f-4308-8d1d-4c7d43d698f6",
"note": "Customer was found on a watchlist. Setting the risk score to 80",
"valid_from": "2023-01-05T11:23:34.321Z",
"valid_to": "2024-01-05T11:23:34.321Z"
}
],
"next_page_token": "a8937a0d"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}CRR
List CRRs
Get paginated list of CRR
GET
/
crr
List CRRs
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
ID of the customer that the risk score applies to
Example:
"77275c65-8702-4b27-8e60-20f4292054ac"
If true, include old risk scores in the response
Optional pagination token to be provided to retrieve subsequent pages, returned from previous get
Example:
"a8937a0d"
Maximum number of objects to return per page. If the limit is greater than 100, then it will be set to 100.
Required range:
x >= 1Example:
100
ID of the business that the risk score applies to
Example:
"edebece0-4a06-4806-b062-7de25a848be8"
Was this page helpful?
⌘I

